Subject: RE: B20 & bash 2.02.1(2) broken
From: [email-masked] (Earnie Boyd)

11 Nov 1998 20:53:44 -0800
Message-ID: <[email-masked]>
Reply-To: [email-masked]
Mime-Version: 1.0
Content-Type: text/plain; charset=us-ascii
To: Austin David France <[email-masked]>,
        Matt Behrens <[email-masked]>
Cc: "Gnu-Win32 Mailing List \(E-mail\)" <[email-masked]>,
        Jonathan Storey <[email-masked]>

Perform your tests with the newest release of the cygwin1.dll found in
the coolview package on Sergey Okhapkin's site.  See my site if you
need the URL.

---Austin David France <[email-masked]> wrote:
>
> Yes.  ^C breaks out of it though.
> 
> I have since switched back to the b20 release of bash (2.01.1(2)) to
avoid
> having to have the b19 DLL loaded (I wonder if they will happily
co-exist)
> and the problem now seems intermittent.  One invocation of bash, it
works
> OK, yet another invocation of bash it hangs.
> 
> Humm... Just testing it now, and it's changed again.  I have a
script called
> "vi" which is a wrapper for vim/vile (it parses the arguments for me).
> 
> In /mentor I have a symbolic link bin -> /d/Mentor/bin (i.e.
/mentor/bin is
> a link to /d/Mentor/Bin).
> 
> Here are some example of how it changes, these commands were all
performed
> as I was composing this mail in the same instance of bash.
> 
> 	$ vi /tmp/oz
> 	/d/Mentor/Bin/: Can't open /d/Mentor/Bin/
> 	$ /d/Mentor/Bin/vi /tmp/oz
> 	(thrown into vim on /tmp/oz)
> 	$ export PATH=/bin:/mentor/bin:/usr/local/bin
> 	$ vi
> 	hangs, bash.exe eating CPU (believe this is the parent bash)
> 	^C interrupts
> 	$ vi /tmp/oz
> 	(thrown into vim on /tmp/oz)
> 	$ cd /bin
> 	$ sh.exe
> 		do some stuff (echo etc) and exit
> 	$ vi /tmp/oz
> 	/mentor/bin/: /mentor/bin/: Permission Denied
> 	$ /mentor/bin/vi /tmp/oz
> 	(thrown into vim on /tmp/oz)
> 	$ export PATH=/bin:/d/Mentor/Bin:/usr/local/bin
> 	$ vi /tmp/oz
> 	(thrown into vim on /tmp/oz)
> 	$ vi /tmp/oz
> 	hangs, ^c interrupts
> 	$ export PATH=/bin:/mentor/bin:/usr/local/bin
> 	$ vi /tmp/oz
> 	/mentor/bin/: /mentor/bin/: Permission Denied
> 	$ /mentor/bin/vi /tmp/oz
> 	(thrown into vim on /tmp/oz)
> 
> If I run my script using an aboslubte path, it reliably works.
> 
> My ORIGIONAL path (when bash was loaded) did contain spaces.
> 
> > -----Original Message-----
> > From: [email-masked]
[mailto:[email-masked]]On
> > Behalf Of Matt Behrens
> > Sent: 06 November 1998 12:14
> > Cc: Gnu-Win32 Mailing List (E-mail)
> > Subject: Re: B20 & bash 2.02.1(2) broken
> >
> >
> > Hmm.  Did it hang when it wouldn't execute those scripts?  If so,
that
> > might well explain part of the problem with configure scripts not
> > working.
> >
> > Austin David France wrote:
> > >
> > > CYGWIN_NT-4.0 MENPC1 20.0 (0.1/1/1) 1998-10-29 15:33:43 i486
unknown
> > > BASH 2.02.1(2)-release
> > > NTW40 Y2KSP4
> > >
> > > I installed B20, and discovered a problem with the version of
> > bash shipped
> > > with b20.
> > >
> > > I can log in using cygnus.bat OK, however logins via inetd don't
work.
> > >
> > > Further investigation reveals a very strange problem.  Bash
> > 2.02.1(2) won't
> > > execute a script whose name is less than 6 characters long.
> > >
> > > A colleagues is experiencing exactly the same problem, except
that bash
> > > won't execute a script whose name is less than 4 characters long.
> > >
> > > An interesting co-incidence is that I have 6 dos drive letters,
> > my colleague
> > > has only 4.  I am sure this is just a weird co-incidence.
> > >
> > > I have replaced bash 2.02.1(2) with bash 2.02.1(1) and this
corrects the
> > > problem for both short script names and inetd (which was
presumably a
> > > related problem)
> > >
> > > Austin David France
> > > Mentor Systems plc
> > > mailto:[email-masked]
> > >
> > >
------------------------------------------------------------------------
> > >
> > > The views and opinions expressed in this e-mail message are the
sender's
> > > and do not necessarily represent the views of Mentor Systems plc.
> > >
> > >
------------------------------------------------------------------------
> > >
> > > -
> > > For help on using this list (especially unsubscribing), send a
> > message to
> > > "[email-masked]" with one line of text: "help".
> >
> > --
> >   __
> >  /-/    Matt Behrens
> > ( (     [email-masked]
> >  ) )    Iserv Network Operations Center
> > /_/     http://inoc.iserv.net/
> > -
> > For help on using this list (especially unsubscribing), send a
message to
> > "[email-masked]" with one line of text: "help".
> >
> >
> 
> 
>
------------------------------------------------------------------------
> 
> The views and opinions expressed in this e-mail message are the
sender's
> and do not necessarily represent the views of Mentor Systems plc.
> 
>
------------------------------------------------------------------------
> 
> 
> -
> For help on using this list (especially unsubscribing), send a
message to
> "[email-masked]" with one line of text: "help".
> 

==
-                  \\||//
-------------o0O0--Earnie--0O0o--------------
--          [email-masked]          --
-- http://www.freeyellow.com/members5/gw32 --
----------------ooo0O--O0ooo-----------------

PS: Newbie's, you should visit my page.
_________________________________________________________
DO YOU YAHOO!?
Get your free @yahoo.com address at http://mail.yahoo.com

-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".